#region Using declarations
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Input;
using System.Windows.Media;
using System.Xml.Serialization;
using NinjaTrader.Cbi;
using NinjaTrader.Gui;
using NinjaTrader.Gui.Chart;
using NinjaTrader.Gui.SuperDom;
using NinjaTrader.Gui.Tools;
using NinjaTrader.Data;
using NinjaTrader.NinjaScript;
using NinjaTrader.Core.FloatingPoint;

#endregion



#region NinjaScript generated code. Neither change nor remove.

namespace NinjaTrader.NinjaScript.Indicators
{
	public partial class Indicator : NinjaTrader.Gui.NinjaScript.IndicatorRenderBase
	{
		
		private itcVolumeColor[] cacheitcVolumeColor;

		
		public itcVolumeColor itcVolumeColor(EnumVolumeColor barColorType, System.Windows.Media.Brush posFillColor, System.Windows.Media.Brush posBorderColor, System.Windows.Media.Brush posWickColor, System.Windows.Media.Brush negFillColor, System.Windows.Media.Brush negBorderColor, System.Windows.Media.Brush negWickColor)
		{
			return itcVolumeColor(Input, barColorType, posFillColor, posBorderColor, posWickColor, negFillColor, negBorderColor, negWickColor);
		}


		
		public itcVolumeColor itcVolumeColor(ISeries<double> input, EnumVolumeColor barColorType, System.Windows.Media.Brush posFillColor, System.Windows.Media.Brush posBorderColor, System.Windows.Media.Brush posWickColor, System.Windows.Media.Brush negFillColor, System.Windows.Media.Brush negBorderColor, System.Windows.Media.Brush negWickColor)
		{
			if (cacheitcVolumeColor != null)
				for (int idx = 0; idx < cacheitcVolumeColor.Length; idx++)
					if (cacheitcVolumeColor[idx].BarColorType == barColorType && cacheitcVolumeColor[idx].PosFillColor == posFillColor && cacheitcVolumeColor[idx].PosBorderColor == posBorderColor && cacheitcVolumeColor[idx].PosWickColor == posWickColor && cacheitcVolumeColor[idx].NegFillColor == negFillColor && cacheitcVolumeColor[idx].NegBorderColor == negBorderColor && cacheitcVolumeColor[idx].NegWickColor == negWickColor && cacheitcVolumeColor[idx].EqualsInput(input))
						return cacheitcVolumeColor[idx];
			return CacheIndicator<itcVolumeColor>(new itcVolumeColor(){ BarColorType = barColorType, PosFillColor = posFillColor, PosBorderColor = posBorderColor, PosWickColor = posWickColor, NegFillColor = negFillColor, NegBorderColor = negBorderColor, NegWickColor = negWickColor }, input, ref cacheitcVolumeColor);
		}

	}
}

namespace NinjaTrader.NinjaScript.MarketAnalyzerColumns
{
	public partial class MarketAnalyzerColumn : MarketAnalyzerColumnBase
	{
		
		public Indicators.itcVolumeColor itcVolumeColor(EnumVolumeColor barColorType, System.Windows.Media.Brush posFillColor, System.Windows.Media.Brush posBorderColor, System.Windows.Media.Brush posWickColor, System.Windows.Media.Brush negFillColor, System.Windows.Media.Brush negBorderColor, System.Windows.Media.Brush negWickColor)
		{
			return indicator.itcVolumeColor(Input, barColorType, posFillColor, posBorderColor, posWickColor, negFillColor, negBorderColor, negWickColor);
		}


		
		public Indicators.itcVolumeColor itcVolumeColor(ISeries<double> input , EnumVolumeColor barColorType, System.Windows.Media.Brush posFillColor, System.Windows.Media.Brush posBorderColor, System.Windows.Media.Brush posWickColor, System.Windows.Media.Brush negFillColor, System.Windows.Media.Brush negBorderColor, System.Windows.Media.Brush negWickColor)
		{
			return indicator.itcVolumeColor(input, barColorType, posFillColor, posBorderColor, posWickColor, negFillColor, negBorderColor, negWickColor);
		}
	
	}
}

namespace NinjaTrader.NinjaScript.Strategies
{
	public partial class Strategy : NinjaTrader.Gui.NinjaScript.StrategyRenderBase
	{
		
		public Indicators.itcVolumeColor itcVolumeColor(EnumVolumeColor barColorType, System.Windows.Media.Brush posFillColor, System.Windows.Media.Brush posBorderColor, System.Windows.Media.Brush posWickColor, System.Windows.Media.Brush negFillColor, System.Windows.Media.Brush negBorderColor, System.Windows.Media.Brush negWickColor)
		{
			return indicator.itcVolumeColor(Input, barColorType, posFillColor, posBorderColor, posWickColor, negFillColor, negBorderColor, negWickColor);
		}


		
		public Indicators.itcVolumeColor itcVolumeColor(ISeries<double> input , EnumVolumeColor barColorType, System.Windows.Media.Brush posFillColor, System.Windows.Media.Brush posBorderColor, System.Windows.Media.Brush posWickColor, System.Windows.Media.Brush negFillColor, System.Windows.Media.Brush negBorderColor, System.Windows.Media.Brush negWickColor)
		{
			return indicator.itcVolumeColor(input, barColorType, posFillColor, posBorderColor, posWickColor, negFillColor, negBorderColor, negWickColor);
		}

	}
}

#endregion
